# Harvester 0.3.0
## KubeConfig doesn't work, not valid for kube-vip IP, only for some "random" IPs in flannel network.
This can happen when cluster is restarted, maybe if rancher pods are restarted, can be fixed with: `kubectl annotate secrets -n cattle-system tls-rancher-internal listener.cattle.io/cn-<kube-vip>=<kube-vip>`

`<kube-vip> = cluster IP address`

`kubectl annotate secrets -n cattle-system tls-rancher-internal listener.cattle.io/cn-172.18.0.20=172.18.0.20`

https://github.com/harvester/harvester/issues/1475

## Need to boot with no nomodeset on harvester 0.3.0 nodes
https://docs.harvesterhci.io/v0.3/troubleshooting/os/#how-to-permanently-edit-kernel-parameters

```
mount -o remount,rw $(blkid -L COS_STATE) /run/initramfs/cos-state
vim /run/initramfs/cos-state/grub2/grub.cfg
```

